import React from "react";
import { IconBadge } from "../common/Badge/IconBadge";
import { HostStatusIcon } from "./HostIcons";

export function HostBadge({ host, ...rest }) {
  return (
    <IconBadge
      icon={<HostStatusIcon host={host} />}
      title={host.netBoxHost?.fqdn}
      subheader={host.netBoxHost?.network}
      {...rest}
    />
  );
}
